Bug 440187 - /var/log/messages hardcoded in /usr/sbin/kerneloops
Summary: /var/log/messages hardcoded in /usr/sbin/kerneloops
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kerneloops   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-02 05:52 UTC by Valdis Kletnieks
Modified: 2011-12-13 22:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 01:13:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Valdis Kletnieks 2008-04-02 05:52:08 UTC
Description of problem:
The filename /var/log/messages is hardcoded in the kerneloops binary.  This
means that it's basically unusable if (for example) the machine is running
syslog-ng and the actual filename is /var/log/messages-YYYYMMDD or similar.
It would be good if it supported a '-f filename' option, at which point I can
handle the rest of the problem (like dealing with a changing filename)

Version-Release number of selected component (if applicable):
kerneloops-0.10-11.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2008-05-14 08:33:50 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Chuck Ebbert 2008-09-13 14:46:13 UTC
You can add '--file <name>' and it will scan that file in addition to the hardcoded /var/log/messages.


Note You need to log in before you can comment on or make changes to this bug.